tbb::cache_aligned_allocator< T > Class Template Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | List of all members
tbb::cache_aligned_allocator< T > Class Template Reference
Memory Allocation

Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5. More...

`#include <cache_aligned_allocator.h>`

## Classes
struct | rebind

## Public Types
typedef internal::allocator_type< T > ::value_type | value_type
typedef value_type * | pointer
typedef const value_type * | const_pointer
typedef value_type & | reference
typedef const value_type & | const_reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type

## Public Member Functions
| cache_aligned_allocator (const cache_aligned_allocator &) throw ()
template<typename U >
| cache_aligned_allocator (const cache_aligned_allocator< U > &) throw ()
pointer | address (reference x) const
const_pointer | address (const_reference x) const
pointer | allocate (size_type n, const void *hint=0)
| Allocate space for n objects, starting on a cache/sector line.
void | deallocate (pointer p, size_type)
| Free block of memory that starts on a cache line.
size_type | max_size () const throw ()
| Largest value for which method allocate might succeed.
template<typename U , typename... Args>
void | construct (U *p, Args &&...args)
| Copy-construct value at location pointed to by p.
void | construct (pointer p, value_type &&value)
void | construct (pointer p, const value_type &value)
void | destroy (pointer p)
| Destroy value at location pointed to by p.

## Detailed Description

### template<typename T>
class tbb::cache_aligned_allocator< T >

Meets "allocator" requirements of ISO C++ Standard, Section 20.1.5.

The members are ordered the same way they are in section 20.4.1 of the ISO C++ standard.

The documentation for this class was generated from the following file:

- cache_aligned_allocator.h

Copyright © 2005-2018 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.